---
title: Create a card
slug: tutorials/api/cards/create-a-card
description: How to create and order a new card for a customer/account
docTags: 
createdAt: 2024-08-12T07:26:48.594Z
---

## What you will learn

✅ How to create and order a new card

:::hint{type="info"}
If you are new to card issuing we recommend you read the [Cards](docId\:xJUtOOcHA5khMt9uzyS18) concept pages before starting this tutorial.

The tutorial assumes you have a knowledge of APIs and how they work. For more information on sending API calls, see [API basics](docId\:pUTTCwQ5SKLzxYzIn5D1b).
:::

The tutorial uses this API endpoint:

| API                                                            | Description                           |
| -------------------------------------------------------------- | ------------------------------------- |
| [POST /cardmanagement/v1/cards](docId\:EJCciNVxb0oMKjA567gUM)  | Requests creation of a new debit card |

## Before you begin

Make sure you have:

- [API credentials](docId\:wmg-1Fqwq3bj-D3c3HFfs) &#x20;
- Cardholder's account number
- Customer ID (you get this when you create a customer)
- Configuration ID
- [Registered](docId\:BN5XtgkJogBe-CtwomCbS) the following webhook event:

| Webhook              | Description        |
| -------------------- | ------------------ |
| `Cards.Card.Created` | Debit card created |

## Order a new card

In this tutorial you will learn how to order/create a new debit card by creating a card for John Smith.

:::::WorkflowBlock
::::WorkflowBlockItem
Call `POST /cardmanagement/v1/cards`. For this call, some [attributes](docId\:PKqnX-Lrh6TM2aU1k2dRc) are required.&#x20;

:::CodeblockTabs
Sample create a card

```curl
curl --location 'https://sandbox.crbcos.com/cardmanagement/v1/cards' \
--header 'Idempotency-key: b06ab5cc-553a-4fe4-ad78-751b5ff81f0e' \
--data-raw '{
    "accountNumber": "158560897007",
    "customerId": "e2599a17-d1e2-476c-9672-b2ff008fa575",
    "configurationId": "b2251a28-c218-4e2e-a787-b2f700ef0ecd",
    "firstName": "Daly",
    "lastName": "Khol",
    "phone": {
        "phoneType": "Home",
        "phoneNumber": "7185551234"
    },
    "emailAddress": "dkhol@gmail.com",
    "shippingAddress": {
        "street1": "1 Roshar Ave",
        "city": "Roshar",
        "state": "NY",
        "postalCode": "10001",
        "countryCode": "US"
    },
    "billingAddress": {
        "street1": "1 Roshar Ave",
        "city": "Roshar",
        "state": "NY",
        "postalCode": "10001",
        "countryCode": "US"
    },
    "nameOnCard": "Daly Khol",
    "shippingType": "Normal",
   "clientIdentifier": "b06ab5cc-553a-4fe4-ad78-751b5ff81f00"
}
```
:::
::::

::::WorkflowBlockItem
A successful API call returns a JSON response with the details of the new card. The card status will be unactivated until you activate the card. The `id` is the card ID, in this example **8c6a53e0-83ad-4b76-b446-b300006a3e6a** which you need to [activate the card](docId\:WZYv6QGm31LDTeAGrt2fc).

:::CodeblockTabs
Sample order a card response

```json
{
    "id": "8c6a53e0-83ad-4b76-b446-b300006a3e6a",
    "productId": "57146944-b145-4326-884d-b2f700ecf688",
    "partnerId": "19222b81-0e1e-452d-a842-b2f1011c16f3",
    "accountNumber": "158560897007",
    "status": "Unactivated",
    "statusReasonCode": "NotSet",
    "processorCardStatus": "I",
    "firstName": "Daly",
    "lastName": "Khol",
    "shippingAddress": {
        "street1": "1 Roshar Ave",
        "city": "Roshar",
        "state": "NY",
        "postalCode": "10001",
        "countryCode": "US"
    },
    "billingAddress": {
        "street1": "1 Roshar Ave",
        "city": "Roshar",
        "state": "NY",
        "postalCode": "10001",
        "countryCode": "US"
    },
    "phone": {
        "phoneType": "Home",
        "phoneNumber": "7185551234"
    },
    "emailAddress": "dkhol@gmail.com",
    "nameOnCard": "Daly Khol",
    "isPinSet": false,
    "adminBlocked": false,
    "fraudSuspect": false,
    "configurationId": "b2251a28-c218-4e2e-a787-b2f700ef0ecd",
    "category": "Debit",
    "paymentInstrument": "PhysicalCombo",
    "processor": "P1",
    "shippingType": "Normal",
    "orderStatus": "OrderPending",
    "replacementStatus": "NotApplicable",
    "customerId": "e2599a17-d1e2-476c-9672-b2ff008fa575",
    "clientIdentifier": "b06ab5cc-553a-4fe4-ad78-751b5ff81f00",
    "createdAt": "2025-06-18T02:26:49.6169047-04:00",
    "lastModifiedAt": "2025-06-18T02:26:49.6169047-04:00"
}
```
:::
::::

::::WorkflowBlockItem
When the card is generated at the processor, the `Cards.Card.created` webhook event fires.

:::CodeblockTabs
Sample Cards.Card.Created event

```json
{
  "id": "cea6c5b5-13e7-4c2f-ba75-afce01110fe5",
  "eventName": "Cards.Card.Created",
  "status": "Pending",
  "partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
  "createdAt": "2023-02-13T04:42:29.4869172-05:00",
  "resources": [
    "cardmanagement/v1/cards/8c6a53e0-83ad-4b76-b446-b300006a3e6a"
  ],
  "details": [
    {
      "cardId": "8c6a53e0-83ad-4b76-b446-b300006a3e6a",
      "status": "Unactivated",
      "statusReasonCode": "NotSet"
    }
  ]
}

```
:::
::::
:::::

